import 'dart:async';
import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:beacons_plugin/beacons_plugin.dart';
import 'package:flutter/material.dart';
import 'Flash.dart';
import 'Homepage.dart';
import 'package:firebase_database/firebase_database.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Firebase.initializeApp();
  runApp(MyApp());
}

class Routes {
  static const String Homepage = '/Homepage';
  static const String Flash = '/Flash';

}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      routes: {

        Routes.Homepage: (BuildContext context) => Homepage(),
        Routes.Flash: (BuildContext context) => Flash(),

      },
      title: 'I - Navigator',

      theme: ThemeData(
        primaryColor: Colors.black,
      ),

      home: Homepage(),
    );
  }
}